xine-lib: pgx32_frame_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
pgx32_frame_t Struct Reference

## Data Fields
vo_frame_t | vo_frame
uint32_t * | packedbuf
uint32_t * | stripe_dst
int | width
int | height
int | format
int | pitch
int | pitch_code
int | packedlen
int | lines_remaining
double | ratio

## Field Documentation

## ◆ format

int pgx32_frame_t::format

Referenced by pgx32_display_frame(), pgx32_frame_proc_frame(), pgx32_frame_proc_slice(), and pgx32_update_frame_format().

## ◆ height

int pgx32_frame_t::height

Referenced by pgx32_display_frame(), pgx32_frame_proc_frame(), and pgx32_update_frame_format().

## ◆ lines_remaining

int pgx32_frame_t::lines_remaining

Referenced by pgx32_frame_proc_slice(), and pgx32_update_frame_format().

## ◆ packedbuf

uint32_t* pgx32_frame_t::packedbuf

Referenced by dispose_frame_internals(), pgx32_display_frame(), pgx32_overlay_blend(), and pgx32_update_frame_format().

## ◆ packedlen

int pgx32_frame_t::packedlen

Referenced by pgx32_display_frame(), and pgx32_update_frame_format().

## ◆ pitch

int pgx32_frame_t::pitch

Referenced by pgx32_display_frame(), pgx32_frame_proc_frame(), pgx32_frame_proc_slice(), pgx32_overlay_blend(), and pgx32_update_frame_format().

## ◆ pitch_code

int pgx32_frame_t::pitch_code

Referenced by pgx32_display_frame(), and pgx32_update_frame_format().

## ◆ ratio

double pgx32_frame_t::ratio

Referenced by pgx32_display_frame(), and pgx32_update_frame_format().

## ◆ stripe_dst

uint32_t * pgx32_frame_t::stripe_dst

Referenced by pgx32_frame_proc_frame(), pgx32_frame_proc_slice(), and pgx32_update_frame_format().

## ◆ vo_frame

vo_frame_t pgx32_frame_t::vo_frame

Referenced by dispose_frame_internals(), pgx32_alloc_frame(), pgx32_frame_proc_frame(), pgx32_frame_proc_slice(), and pgx32_update_frame_format().

## ◆ width

int pgx32_frame_t::width

Referenced by pgx32_display_frame(), pgx32_frame_proc_frame(), pgx32_frame_proc_slice(), and pgx32_update_frame_format().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_pgx32.c